Package ru.bitel.bgbilling.modules.trayinfo.common.service

# Interface TrayInfoService

public interface TrayInfoService
Вебсервисы трей-инфо.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteLogin(int cid, int id)`
  Удаление логина.
  `void`
  `deleteLoginType(int id)`
  Удаление типа логина.
  `List<IdTitle>`
  `getChargesList()`
  Получение списка типов расходов для инициализации редактора типов логинов.
  `ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoLogin`
  `getLogin(int cid, int id)`
  Получение конкретного логина.
  `List<ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoLogin>`
  `getLogins(int cid)`
  Таблица логинов.
  `ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoType`
  `getLoginType(int id)`
  Получение типа логина.
  `List<ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoType>`
  `getLoginTypes()`
  Таблица всех типов логинов.
  `void`
  `updateLogin(ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoLogin login)`
  Сохранение логина.
  `void`
  `updateLoginType(ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoType type)`
  Редактирование типа логина.

- ## Method Details

  - ### deleteLoginType

    void deleteLoginType(int id) throws ru.bitel.bgbilling.common.BGException
    Удаление типа логина.
    Parameters:
      `id` - ид типа логина.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getChargesList

    List<IdTitle> getChargesList() throws ru.bitel.bgbilling.common.BGException
    Получение списка типов расходов для инициализации редактора типов логинов.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getLoginType

    ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoType getLoginType(int id) throws ru.bitel.bgbilling.common.BGException
    Получение типа логина. Для редактора.
    Parameters:
      `id` - ид типа логина.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getLogins

    List<ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoLogin> getLogins(int cid) throws ru.bitel.bgbilling.common.BGException
    Таблица логинов. Или все логины договора. Используется при логинах договора и для всех и для всех + фильтр-договора.
    Parameters:
      `cid` - если надо указать договор, если -1, игнорируется.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteLogin

    void deleteLogin(int cid, int id) throws ru.bitel.bgbilling.common.BGException
    Удаление логина.
    Parameters:
      `id` - ид логина (т.е. сам логин).
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getLogin

    ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoLogin getLogin(int cid, int id) throws ru.bitel.bgbilling.common.BGException
    Получение конкретного логина. Для редактора.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getLoginTypes

    List<ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoType> getLoginTypes() throws ru.bitel.bgbilling.common.BGException
    Таблица всех типов логинов. Например, для отображения в админке.
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateLogin

    void updateLogin(ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoLogin login) throws Exception
    Сохранение логина. Из редактора.
    Throws:
      `Exception`

  - ### updateLoginType

    void updateLoginType(ru.bitel.bgbilling.modules.trayinfo.common.TrayInfoType type) throws ru.bitel.bgbilling.common.BGException
    Редактирование типа логина.
    Throws:
      `ru.bitel.bgbilling.common.BGException`